clear
cd ///***SET WORKING DIRECTORY***///
use "MAS_Book.dta"

*****************************SUMMARY FIGURES************************************
***Figures 9.1a and 9.1b***
gen anedunone=.
replace anedunone=1 if edu==0
replace anedunone=0 if edu==1

gen anhealthnone=.
replace anhealthnone=1 if health==0
replace anhealthnone=0 if health==1

sort year
by year: egen yearnoeducount=sum(anedunone)
by year: egen yearnohealthcount=sum(anhealthnone)
by year:gen exeducount=yearclubloweducount+yearprivateducount
by year:gen inceducount=yearclubhigheducount+yearpubeducount
by year:gen exhealthcount=yearclublowhealthcount+yearprivathealthcount
by year:gen inchealthcount=yearclubhighhealthcount+yearpubhealthcount

label var inceducount "Extensve Services"
label var exeducount "Not Extensive Services"
label var yearnoeducount "No Services"
label var yearcount "Total Rebel Groups"
sort year
graph twoway line inceducount exeducount yearnoeducount yearcount year, title("", size(medlarge) color(black)) ///
 lcolor(black black black black) lpattern(solid  dash dot dash_dot) ///
 ylabel(, angle(horizontal) nogrid notick) xscale(range(1945(10)2003) titlegap(4)) xlabel(1945 1950 1960 1970 1980 1990 2000) ysca(titlegap(4)) ytitle("Number of Rebel Groups", size(medsmall)) xtitle("Years", size(medsmall)) graphregion(color(white))lw(medium) legend(col(2)) legend(region(lcolor(black) lw(thin))) legend(title("Level of Provision", color(black) size(medsmall))) legend(order(1 3 2 4) region(lstyle(none)))
graph save "incexedu.gph", replace
graph export "incexedu.pdf", replace

label var inchealthcount "Extensive Services"
label var exhealthcount "Not Extensive Services"
label var yearnohealthcount "No Services"
label var yearcount "Total Rebel Groups"
sort year
graph twoway line inchealthcount exhealthcount yearnohealthcount yearcount year if exclude!=1, title("", size(medlarge) color(black)) ///
 lcolor(black black black black) lpattern(solid  dash dot dash_dot) ///
 ylabel(, angle(horizontal) nogrid notick) xscale(range(1945(10)2003) titlegap(4)) xlabel(1945 1950 1960 1970 1980 1990 2000) ysca(titlegap(4)) ytitle("Number of Rebel Groups", size(medsmall)) xtitle("Years", size(medsmall)) graphregion(color(white)) lw(medium) legend(col(2)) legend(region(lcolor(black) lw(thin))) legend(title("Level of Provision", color(black) size(medsmall))) legend(order(1 3 2 4) region(lstyle(none)))
graph save "incexhealth.gph", replace
graph export "incexhealth.pdf", replace


***Figures 9.2a and 9.2b***
sort year
by year: egen yearincedurev=sum(countgraph) if rev2==1 & terrcontrol==1 & inc_edu==2
by year: egen yearincedurevmax=max(yearincedurev)
by year: replace yearincedurevmax=0 if yearincedurevmax==.
sort year
by year: egen yearincedunonrev=sum(countgraph) if rev2==0 & terrcontrol==1 & inc_edu==2
by year: egen yearincedunonrevmax=max(yearincedunonrev)
by year: replace yearincedunonrevmax=0 if yearincedunonrevmax==.
sort year
by year: egen countnonrev=sum(countgraph) if rev2==0 & terrcontrol==1
sort year
by year: egen countrev=sum(countgraph) if rev2==1 & terrcontrol==1
sort year
by year: egen yearinchealthrev=sum(countgraph) if rev2==1 & terrcontrol==1 & inc_health==2
by year: egen yearinchealthrevmax=max(yearinchealthrev)
by year: replace yearinchealthrevmax=0 if yearinchealthrevmax==.
sort year
by year: egen yearinchealthnonrev=sum(countgraph) if rev2==0 & terrcontrol==1 & inc_health==2
by year: egen yearinchealthnonrevmax=max(yearinchealthnonrev)
by year: replace yearinchealthnonrevmax=0 if yearinchealthnonrevmax==.
label var yearincedunonrevmax "Extensive Education, Non-Revolutionary"
label var yearincedurevmax "Extensive Education, Revolutionary"
label var countnonrev "Non-Revolutionary"
label var yearinchealthnonrevmax "Extensive Health, Non-Revolutionary"
label var countrev "Revolutionary"
label var yearinchealthrevmax "Extensive Health, Revolutionary"

sort year
graph twoway line yearincedurevmax yearincedunonrevmax countnonrev countrev   year, ///
title("", size(medlarge) color(black)) lcolor(black black gray gray) ///
lpattern(solid dash dash solid) ylabel(, angle(horizontal) nogrid notick) ///
xscale(range(1945(10)2003) titlegap(4)) xlabel(1945 1950 1960 1970 1980 1990 2000) ///
 ysca(titlegap(4)) ytitle("Number of Rebel Groups", size(medsmall)) ///
 xtitle("Years", size(medsmall)) graphregion(color(white))  lw(medium) ///
 legend(col(2)) legend(region(lcolor(black) lw(thin))) legend(title("", ///
 color(black) size(medsmall))) legend(order(4 1 3 2) region(lstyle(none)))
 graph save "incedu.gph", replace
graph export "incedu.pdf",replace
 
 graph twoway line yearinchealthrevmax yearinchealthnonrevmax countnonrev countrev year, ///
title("", size(medlarge) color(black)) lcolor(black black gray gray) ///
lpattern(solid dash dash solid) ylabel(, angle(horizontal) nogrid notick) ///
xscale(range(1945(10)2003) titlegap(4)) xlabel(1945 1950 1960 1970 1980 1990 2000) ///
 ysca(titlegap(4)) ytitle("Number of Rebel Groups", size(medsmall)) ///
 xtitle("Years", size(medsmall)) graphregion(color(white))  lw(medium) ///
 legend(col(2)) legend(region(lcolor(black) lw(thin))) legend(title("", ///
 color(black) size(medsmall))) legend(order(4 1 3 2) region(lstyle(none)))
 graph save "inchealth.gph", replace
graph export "inchealth.pdf",replace


*****************************MAIN TABLES*********************************

clear

use "MAS_Book_Main.dta"

***Table 9.1: Comparing Revolutionary and Non-Revolutionary Rebel Groups***
ttest gdp if terrcontrol==1, by(rev2)
ttest rebord if terrcontrol==1, by(rev2)
ttest imr if terrcontrol==1, by(rev2)


***Table 9.2: Where Rebels with Revolutionary Goals Operate***
eststo: reg rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
esttab using "TableSelectC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Revolutionary Goals Predict More Extensive Governance, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table 9.3: Most Extensive Rebel Governance By Rebel Goals***
tab inc_sum_binary rev2 if terrcontrol==1, chi2 column 


***Table 9.4:Revolutionary Goals Predict More Extensive Governance***
eststo: reg inc_sum i.rev2 if terrcontrol==1
eststo: reg inc_sum i.rev2 rebord groups2  if terrcontrol==1, cluster(location)
eststo: reg inc_sum i.rev2 imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
eststo: reg inc_sum i.rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
eststo: reg inc_sum i.rev2##i.terrcontrol rebord groups2  imrmin gdp popdlog lmt, cluster(location)
esttab using "TableMainC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Revolutionary Goals Predict More Extensive Governance, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table 9.5:Extensive Governance and Rebel Victory or Settlement***
tab win_b inc_sum_binary if terrcontrol==1, chi2 column


*****************************MAIN FIGURES*********************************

***Figure 9.3: Coefficient Estimates For Revolutionary Goals***

gen rev3=rev2
reg inc_sum rev2 if terrcontrol==1
estimates store basict
reg inc_sum rev2 rebord groups2  if terrcontrol==1, cluster(location)
estimates store insl
reg inc_sum rev2 imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
estimates store state
reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
estimates store basem
reg inc_sum rev2terr rev3 terrcontrol rebord groups2  imrmin gdp popdlog lmt, cluster(location)
estimates store interaction


coefplot (basict \ insl \ state \ basem  \ interaction) ///
, keep(rev2 rev2terr) aseq swapnames ///
    coeflabels(basict = "Model 1" ///
			   insl = "Model 2: Group-Level Controls" ///
			   state = "Model 3: State-Level Controls" ///
			   basem = "Model 4" ///
			   interaction = "Interaction Term" ///
			   , labgap(-80) notick) ///
			   noeqlabels ///
	headings (basict = "{bf:Bivariate Regression}"  insl = "{bf:Including Controls}" basem= "{bf:Base Model}"   ///
			 interaction= "{bf:Full Sample}" ///
		 , labcolor(black) labgap(-90)) ///
			   xline(0, lcolor(black))  mcolor(black) lcolor(black) ///
			   levels(90) ciopts(lcolor(black)) graphregion(margin(l=65) color(white))  ///
			    ylabel(, nogrid notick) yscale(alt noline) ///
				xscale(range(0(1)4)) ///
				xlabel (0(1)4, nogrid notick) ///
				msize(tiny) 
				
graph display, ysize(7)				
graph save "coefmain.gph",replace
graph export "coefmain.pdf",replace	


***Figure 9.4: Predicted Effect of Revolutionary Goals on Extensiveness of Governance***

***Figure 9.4a: Conditional on Territorial Control***
reg inc_sum i.rev2 rebord  groups2 imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
margins, at((p50) groups2 imrmin gdp popdlog lmt rebord=1 rev2=0) ///
at((p50) groups2 imrmin gdp popdlog lmt rebord=1 rev2=1) ///


marginsplot, plotopts(c(none) mcolor(black)) legend(off) graphregion(color(white))   ///
ciopts(lcolor(black)) ylabel(, angle(horizontal) nogrid notick labsize(medlarge)) ///
 xscale(range(.8 2.2)  titlegap(4)) xlabel(1 `"Non-Revolutionary"' 2 `" Revolutionary "', labsize(medlarge) nogrid notick) /// 
 ysca(titlegap(4)) ytitle("Extensiveness of Governance", size(large)) ///
 xtitle("", size(large))  /// 
 title("") graphregion(color(white))  ylabel(, angle(horizontal) nogrid notick) ///
 yscale(range(-0.2[1]4)) ylabel(0(1)4, nogrid notick)  ///
 text(2.50 2.02 "2.50***", place(e) size(medsmall) color(black)) ///
 text(1.42 1.02  "1.42***", place(e) size(medsmall) color(black)) ///
 level(90) ///
 yline(0, lstyle(foreground))
 
graph save "predictedmain.gph", replace
graph export "predictedmain.pdf",replace


***Figure 9.4b: Conditional on Territorial Control***

reg inc_sum i.rev2##i.terrcontrol rebord  groups2 imrmin gdp popdlog lmt, cluster(location)
margins, at((p50) groups2 imrmin gdp popdlog lmt rebord=1 rev2=0 terrcontrol=0) ///
at((p50) groups2 imrmin gdp popdlog lmt rebord=1 rev2=1 terrcontrol=0) ///
at((p50) groups2 imrmin gdp popdlog lmt rebord=1 rev2=0 terrcontrol=1) ///
at((p50) groups2 imrmin gdp popdlog lmt rebord=1 rev2=1 terrcontrol=1) ///

marginsplot, plotopts(c(none) mcolor(black)) legend(off) graphregion(color(white))   ///
ciopts(lcolor(black)) ylabel(, angle(horizontal) nogrid notick labsize(medlarge)) ///
 xscale(range(.7(.5)4.3) titlegap(4)) xlabel(1 `" "Non-Revolutionary"  "No Territory" "' 2 `" "Revolutionary"  "No Territory" "' 3 `" "Non-Revolutionary" "Territory" "' 4 `" "Revolutionary" "Territory" "', labsize(medlarge) nogrid notick) /// 
 ysca(titlegap(4)) ytitle("Extensivness of Governance", size(large)) ///
 xtitle("", size(large))  /// 
 title("") graphregion(color(white))  ylabel(, angle(horizontal) nogrid notick) ///
 yscale(range(-0.2[1]4)) ylabel(0(1) 4, nogrid notick) text(2.93 4.02  "2.93***", place(e) size(medsmall) color(black)) ///
 text(1.25 3.02  "1.25**", place(e) size(medsmall) color(black))  text(.97 2.02 ".97***", place(e) size(medsmall) color(black)) ///
 text(0.63 1.02  ".63***", place(e) size(medsmall) color(black)) ///
 level(90) ///
 yline(0, lstyle(foreground))
 
graph save "interactionmain.gph", replace
graph export "interactionmain.pdf",replace




*****************************APPENDIX TABLES*********************************

****************Appendix A Tables*******************************

***Table A.1:Summary Statistics: Cross-Sectional Data***
estpost summarize rev2 rebord groups2 imrmin gdp popdlog lmt   if terrcontrol==1, d
esttab . using "SumStatsC.tex", cells("mean(fmt(2)) p50(fmt(2)) min(fmt(2)) max(fmt(2))  sd(fmt(2))  count(fmt(0))") noobs nonumber label title("Summary Statistics") replace
estpost summarize  rebord groups2 imrmin gdp popdlog lmt if rev2==1 & terrcontrol==1, d
esttab . using "SumStatsCRev.tex", cells("mean(fmt(2)) p50(fmt(2)) min(fmt(2)) max(fmt(2))  sd(fmt(2)) count(fmt(0))") noobs nonumber label title("Summary Statistics, Sec") replace
estpost summarize   rebord groups2 imrmin gdp popdlog lmt if rev2==0 & terrcontrol==1, d
esttab . using "SumStatsCNoRev.tex", cells("mean(fmt(2)) p50(fmt(2)) min(fmt(2)) max(fmt(2))  sd(fmt(2)) count(fmt(0))") noobs nonumber label title("Summary Statistics, No Sec") replace

****************Appendix B Tables*******************************

***Table B.1:Fixed Effects***
eststo: reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt regionnum1-regionnum4 if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt regionnum1-regionnum4 dec40-dec90 if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2  imrmin gdp popdlog locnum1-locnum95 if terrcontrol==1
esttab using "TableFEC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Fixed Effects, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table B.2:Additional Controls***
eststo: reg inc_sum rev2 rebord groups2 imrmin gdp popdlog lmt   dur if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 imrmin gdp popdlog lmt   logrs if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 imrmin gdp popdlog lmt   bd_best_low_log if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 imrmin gdp popdlog lmt   nonmilex if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 imrmin gdp popdlog lmt   lresm if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 imrmin gdp popdlog lmt   rs1-rs4 if terrcontrol==1, cluster(location)
esttab using "TableControlsC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Additional Controls, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table B.3: Outliers Ommitted***
reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1
gen s=e(sample)
predict cooks if s==1, cooks 
gen outlier=0
replace outlier=1 if cooks>4/(58) & s==1
eststo: reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1 & outlier==0, cluster(location)
esttab using "TableOutC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Outliers Omitted, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8
drop s outlier cooks


***Table B.4: Jackknifing***
jackknife: reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
esttab using "TableJackC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Jackknifing, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table B.5: Alternative Estimator***
ologit inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
esttab using "TableAltEstC.tex", replace label nogap pr2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Alternative Estimator, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table B.6: Alternative Dependent Variable***
eststo: logit inc_sum_binary rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
eststo: logit inc_sum_binary_l rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
eststo: reg inc_edu rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
eststo: reg inc_health rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
esttab using "TableAltDVC.tex", replace label nogap pr2 r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Alternative Dependent Variable, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table B.7: Bias Through Missingness***
eststo: reg inc_sum_zero rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1 & logrs> 8.451893 , cluster(location)
eststo: reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1 & yearmin>1970, cluster(location)
esttab using "TableBiasC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Bias through Missingess, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table B.8: Bootstrapping***
eststo: bootstrap, reps(500) size(30): reg inc_sum rev2 rebord groups2  imrmin gdp popdlog lmt if terrcontrol==1, cluster(location)
esttab using "TableBoostrapC.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Bootstrapping, Cross-Section})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8

*****************************APPENDIX C. PANEL DATA*************************************
clear
use "MAS_Book.dta"

drop yearmin yearmax locnum1-locnum109 countrynum1-countrynum96 dur inc_sum_binary inc_sum_binary_l inc_sum_zero rev rev2 inc_sum inc_avg inc_health_zero inc_edu_zero inc_health_binary inc_edu_binary inc_health inc_edu rev2terr
sort side_b location year
by side_b location: egen yearmin =min(year)
by side_b location: egen yearmax =max(year)
tab location, gen(locnum)
gen dur=year-yearmin


gen inc_edu=1
replace inc_edu=2 if edu_ord>=3 & edu_ord!=.
replace inc_edu=0 if edu_ord==0
replace inc_edu=. if edu_ord==.

gen inc_health=1
replace inc_health=2 if health_ord>=3 & health_ord!=.
replace inc_health=0 if health_ord==0
replace inc_health=. if health_ord==.

gen inc_edu_binary=0
replace inc_edu_binary=1 if inc_edu==2
replace inc_edu_binary=. if inc_edu==.

gen inc_health_binary=0
replace inc_health_binary=1 if inc_health==2
replace inc_health_binary=. if inc_health==.

gen inc_edu_zero=inc_edu
replace inc_edu_zero=0 if inc_edu==.

gen inc_health_zero=inc_health
replace inc_health_zero=0 if inc_health==.

gen inc_sum=inc_edu+inc_health
gen inc_avg=(inc_edu+inc_health)/2

gen inc_sum_binary=0
replace inc_sum_binary=1 if inc_sum==4
replace inc_sum_binary=. if inc_sum==.

gen inc_sum_binary_l=0
replace inc_sum_binary_l=1 if inc_sum>=3 & inc_sum!=.
replace inc_sum_binary_l=. if inc_sum==.

gen inc_sum_zero=inc_sum
replace inc_sum_zero=0 if inc_sum==.

gen rev=0
replace rev=1 if communist==1
replace rev=1 if seccol==1

gen rev2=0
replace rev2=1 if communist==1
replace rev2=1 if seccol==1
replace rev2=1 if islamist==1

gen rev2terr=rev2*terrcontrol

****************Tables*************************

***Table C.1:Summary Statistics: Panel Data***
estpost summarize rev2 rebord groups2 l1imr l1popd_log l1gdppc_l lmt    if terrcontrol==1, d
esttab using "SumStatsP.tex", cells("mean(fmt(2)) p50(fmt(2)) min(fmt(2)) max(fmt(2))  sd(fmt(2))  count(fmt(0))") noobs nonumber label title("Summary Statistics") replace
estpost summarize  rebord groups2 l1imr l1popd_log l1gdppc_l lmt  if rev2==1 & terrcontrol==1, d
esttab using "SumStatsPRev.tex", cells("mean(fmt(2)) p50(fmt(2)) min(fmt(2)) max(fmt(2))  sd(fmt(2)) count(fmt(0))") noobs nonumber label title("Summary Statistics, Rev") replace
estpost summarize  rebord groups2 l1imr l1popd_log l1gdppc_l lmt if rev2==0 & terrcontrol==1, d
esttab using "SumStatsPNonRev.tex", cells("mean(fmt(2)) p50(fmt(2)) min(fmt(2)) max(fmt(2))  sd(fmt(2)) count(fmt(0))") noobs nonumber label title("Summary Statistics, No Rev") replace

***Table C.2:Revolutionary Goals Predict More Extensive Governance, Panel Data***
eststo: reg inc_sum i.rev2 if terrcontrol==1
eststo: reg inc_sum i.rev2 rebord groups2  if terrcontrol==1, cluster(location)
eststo: reg inc_sum i.rev2 l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
eststo: reg inc_sum i.rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
eststo: reg inc_sum i.rev2##i.terrcontrol rebord groups2  l1imr l1popd_log l1gdppc_l lmt, cluster(location)
esttab using "TableMainP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Revolutionary Goals Predict More Inclusive Governance, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.3:Fixed Effects, Panel Data***
eststo: reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt regionnum1-regionnum4 if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt regionnum1-regionnum4 dec40-dec90 if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l locnum1-locnum95 if terrcontrol==1
esttab using "TableFEP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Fixed Effects, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.4:Additional Controls, Panel Data***
eststo: reg inc_sum rev2 rebord groups2 l1imr l1popd_log l1gdppc_l lmt   dur if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 l1imr l1popd_log l1gdppc_l lmt   logrs if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 l1imr l1popd_log l1gdppc_l lmt   bd_best_low_log if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 l1imr l1popd_log l1gdppc_l lmt   nonmilex if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2 l1imr l1popd_log l1gdppc_l lmt   lres_rent if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2  groups2 l1imr l1popd_log l1gdppc_l lmt   rs1-rs4 if terrcontrol==1, cluster(location)
esttab using "TableControlsP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Additional Controls, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.5: Outliers Ommitted, Panel Data***
reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1
gen s=e(sample)
predict cooks if s==1, cooks
gen outlier=0
replace outlier=1 if cooks>4/(449) & s==1
eststo: reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1 & outlier==0, cluster(location)
drop s outlier cooks
esttab using "TableOutP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(Outliers Omitted)
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.6: Jackknifing, Panel Data***
jackknife: reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
esttab using "TableJackP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Jackknifing, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.7: Alternative Estimator, Panel Data***
ologit inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
esttab using "TableAltEstP.tex", replace label nogap pr2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Alternative Estimator, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.8: Alternative Dependent Variable, Panel Data***
eststo: logit inc_sum_binary rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
eststo: logit inc_sum_binary_l rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
eststo: reg inc_edu rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
eststo: reg inc_health rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
esttab using "TableAltDVP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Alternative Dependent Variable, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.9: Bias Through Missingness, Panel Data***
eststo: reg inc_sum_zero rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1, cluster(location)
eststo: reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1 & logrs>8.513393  , cluster(location)
eststo: reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1 & yearmin>1970, cluster(location)
esttab using "TableBiasP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Bias through Missingess, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


***Table C.10: Bootstrapping, Panel Data***
eststo: bootstrap, reps(500) size(113): reg inc_sum rev2 rebord groups2  l1imr l1popd_log l1gdppc_l lmt if terrcontrol==1
esttab using "TableBoostrapP.tex", replace label nogap r2 b(2) se star(+ 0.15 * 0.10 ** 0.05 *** 0.01) ti(\textbf{Bootstrapping, Panel})
eststo drop  est1 est2 est3 est4 est5 est6 est7 est8


****************Figures*************************

***Figure 9.3: Coefficient Estimates For Revolutionary Goals, Panel Data***
gen rev3=rev2
reg inc_sum rev2 if terrcontrol==1
estimates store basict
reg inc_sum rev2 rebord groups2  if terrcontrol==1, cluster(location)
estimates store insl
reg inc_sum rev2 l1imr l1gdppc_l l1popd_log lmt if terrcontrol==1, cluster(location)
estimates store state
reg inc_sum rev2 rebord groups2  l1imr l1gdppc_l l1popd_log lmt if terrcontrol==1, cluster(location)
estimates store basem
reg inc_sum rev2terr rev3  terrcontrol rebord groups2  l1imr l1gdppc_l l1popd_log lmt, cluster(location)
estimates store interaction

coefplot (basict \ insl \ state \ basem \ interaction) ///
, keep(rev2 rev2terr) aseq swapnames ///
    coeflabels(basict = "Model 1" ///
  insl = "Model 2: Group-Level Controls" ///
  state = "Model 3: State-Level Controls" ///
  basem = "Model 4" ///
  interaction = "Interaction Term" ///
  interaction = "8. Interaction Model" ///
  , labgap(-80) notick) ///
  noeqlabels ///
headings (basict = "{bf:Bivariate Regression}"  insl = "{bf:Including Controls}" basem= "{bf:Base Model}"   ///
region= "{bf:Fixed Effects}" interaction= "{bf:Full Sample}" ///
, labcolor(black) labgap(-90)) ///
  xline(0, lcolor(black))  mcolor(black) lcolor(black) ///
  levels(90) ciopts(lcolor(black)) graphregion(margin(l=65) color(white))  ///
   ylabel(, nogrid notick) yscale(alt noline) ///
xscale(range(0(1)4)) ///
xlabel (0(1)4, nogrid notick) ///
msize(tiny)

graph display, ysize(7)
graph save "coefmainpanel.gph",replace
graph export "coefmainpanel.pdf",replace


***Figure 9.4: Predicted Effect of Revolutionary Goals on Extensiveness of Governance, Panel Data***
***Figure 9.4a: Conditional on Territorial Control, Panel Data***
reg inc_sum i.rev2 rebord  groups2 l1imr l1gdppc_l l1popd_log lmt if terrcontrol==1, cluster(location)
margins, at((p50) groups2 l1imr l1gdppc_l l1popd_log lmt rebord=1 rev2=0) ///
at((p50) groups2 l1imr l1gdppc_l l1popd_log lmt rebord=1 rev2=1) ///

marginsplot, plotopts(c(none) mcolor(black)) legend(off) graphregion(color(white))   ///
ciopts(lcolor(black)) ylabel(, angle(horizontal) nogrid notick labsize(medlarge)) ///
 xscale(range(.8 2.2)  titlegap(4)) xlabel(1 `"Non-Revolutionary"' 2 `" Revolutionary "', labsize(medlarge) nogrid notick) ///
 ysca(titlegap(4)) ytitle("Inclusivity of Governance", size(large)) ///
 xtitle("", size(large))  ///
 title("") graphregion(color(white))  ylabel(, angle(horizontal) nogrid notick) ///
 yscale(range(-0.2[1]4)) ylabel(0(1)4, nogrid notick)  ///
 text(2.87 2.02 "2.87***", place(e) size(medsmall) color(black)) ///
 text(1.24 1.02  "1.24***", place(e) size(medsmall) color(black)) ///
 level(90) ///
 yline(0, lstyle(foreground))
 
graph save "predictedpanel.gph", replace
graph export "predictedpanel.pdf",replace


***Figure 9.4b: Full Sample, Panel Data***
reg inc_sum i.rev2##i.terrcontrol rebord  groups2 l1imr l1gdppc_l l1popd_log lmt, cluster(location)
margins, at((p50) groups2 l1imr l1gdppc_l l1popd_log lmt rebord=1 rev2=0 terrcontrol=0) ///
at((p50) groups2 l1imr l1gdppc_l l1popd_log lmt rebord=1 rev2=1 terrcontrol=0) ///
at((p50) groups2 l1imr l1gdppc_l l1popd_log lmt rebord=1 rev2=0 terrcontrol=1) ///
at((p50) groups2 l1imr l1gdppc_l l1popd_log lmt rebord=1 rev2=1 terrcontrol=1) ///

marginsplot, plotopts(c(none) mcolor(black)) legend(off) graphregion(color(white))   ///
ciopts(lcolor(black)) ylabel(, angle(horizontal) nogrid notick labsize(medlarge)) ///
 xscale(range(.7(.5)4.3) titlegap(4)) xlabel(1 `" "Non-Revolutionary"  "No Territory" "' 2 `" "Revolutionary"  "No Territory" "' 3 `" "Non-Revolutionary" "Territory" "' 4 `" "Revolutionary" "Territory" "', labsize(medlarge) nogrid notick) ///
 ysca(titlegap(4)) ytitle("Inclusivity of Governance", size(large)) ///
 xtitle("", size(large))  ///
 title("") graphregion(color(white))  ylabel(, angle(horizontal) nogrid notick) ///
 yscale(range(-0.2[1]4)) ylabel(0(1)4, nogrid notick) text(3.06 4.02  "3.06***", place(e) size(medsmall) color(black)) ///
 text(1.13 3.02  "1.13***", place(e) size(medsmall) color(black))  text(1.24 2.02 "1.24***", place(e) size(medsmall) color(black)) ///
 text(0.60 1.02  ".60***", place(e) size(medsmall) color(black)) ///
 level(90) ///
 yline(0, lstyle(foreground))
 
graph save "interactionpanel.gph", replace
graph export "interactionpanel.pdf",replace



****************Appendix D Tables*******************************
clear

use "MAS_Book_Main.dta"

***Table D.2:Extensive Governance and Rebel Victory or Settlement, No Secessionist or Anti-Colonial Movements***
tab win_b inc_sum_binary if terrcontrol==1 & seccol==0, chi2 column

***Table D.3:Extensive Governance and Rebel Victory or Settlement, Lower Governance Threshold***
tab win_b inc_sum_binary_l if terrcontrol==1 , chi2 column

***Table D.4:Extensive Governance and Rebel Victory or Settlement, No Secessionist or Anti-Colonial Movements and Lower Governance Threshold***
tab win_b inc_sum_binary_l if terrcontrol==1 & seccol==0 , chi2 column

***Table D.5:Extensive Governance and Rebel Victory***
tab win inc_sum_binary if terrcontrol==1, chi2 column

***Table D.6:Extensive Governance and Rebel Victory, No Secessionist or Anti-Colonial Movements***
tab win inc_sum_binary if terrcontrol==1 & seccol==0, chi2 column

***Table D.7:Extensive Governance and Rebel Victory or Settlement, Lower Governance Threshold***
tab win inc_sum_binary_l if terrcontrol==1 , chi2 column

***Table D.8:Extensive Governance and Rebel Victory, No Secessionist or Anti-Colonial Movements and Lower Governance Threshold***
tab win inc_sum_binary_l if terrcontrol==1 & seccol==0 , chi2 column






*********HUANG ROBUSTNESS CHECKS*********
clear
use "RGD main.dta"

drop islamist rev
gen islamist=0
replace islamist=1 if country=="Afghanistan"
replace islamist=1 if conflict=="FIS, AIS, GIA, GSPC"
replace islamist=1 if country=="Egypt"
replace islamist=1 if conflict=="Darul Islam"
replace islamist=1 if conflict=="Darul Islam, PRRI, Permesta"
replace islamist=1 if conflict=="Khomeini"
replace islamist=1 if conflict=="Intifada; Palestinian conflict"
replace islamist=1 if conflict=="Fedeyeen/Syria v. govt"
replace islamist=1 if conflict=="Muslim Brotherhood"
replace islamist=1 if strpos(conflict,"UTO")
replace islamist=1 if strpos(conflict,"Aceh")

gen rev=0
replace rev=1 if aim3==1
replace rev=1 if marx==1
replace rev=1 if islamist==1

ttest govern, by(islamist)
ttest govern, by(aim3)
ttest govern, by(marx)
ttest govern, by(rev)

**Contains t-test results data*
clear
use  "huangdataupdates.dta", replace 
graph twoway (scatter mean islamist , msymbol(S) msize(medium)) ///
       (rcap upper lower islamist)  ///
	   (scatter mean aim3 , msymbol(S) msize(medium)) ///
       (rcap upper lower aim3) ///
	   (scatter mean marx , msymbol(S) msize(medium)) ///
       (rcap upper lower marx) ///
	   (scatter mean rev , msymbol(S) msize(medium)) ///
       (rcap upper lower rev), ///
	   xscale(range(-.25(1)7.25) titlegap(4)) ///
	   xlabel(0 `" No "' .5`" " " " " "{bf:Islamist}" "' 1 `" Yes "' 2 `" No "' 2.5`" " " " " "{bf:Secessionist}" "' 3 `" Yes "' 4 `" No "' 4.5`" " " " " "{bf:Communist}" "' 5 `" Yes "' 6 `" No "' 6.5`" " " " " "{bf:Revolutionary}" "' 7 `" Yes "', labsize(medsmall) nogrid notick) ///  
	   xtitle("Goals", size(medlarge))  ///
	   ytitle("Mean Count of Governance Institutions", size(medlarge)) ///
	   xline(1.5 3.5 5.5, lpattern(dash)) ///
	   text(.05 .2 "p = .27", place(e) size(small) color(black)) ///
	   text(.05 2.2 "p = .04**", place(e) size(small) color(black)) ///
	   text(.05 4.1 "p = .00***", place(e) size(small) color(black)) ///
	   text(.05 6.1 "p = .00***", place(e) size(small) color(black)) ///
	   graphregion(color(white))  ylabel(, angle(horizontal) nogrid notick) ///
	   legend(off)
	   
graph save "huangdatatests.gph", replace
graph export "huangdatatests.pdf",replace










